

After careful consideration, we decided to end support for Amazon FinSpace, effective October 7, 2026. Amazon FinSpace will no longer accept new customers beginning October 7, 2025. As an existing customer with an Amazon FinSpace environment created before October 7, 2025, you can continue to use the service as normal. After October 7, 2026, you will no longer be able to use Amazon FinSpace. For more information, see [Amazon FinSpace end of support](https://docs.aws.amazon.com/finspace/latest/data-api/amazon-finspace-end-of-support.html). 

# GetUser
<a name="API_GetUser"></a>

Retrieves details for a specific user.

## Request Syntax
<a name="API_GetUser_RequestSyntax"></a>

```
GET /user/userId HTTP/1.1
```

## URI Request Parameters
<a name="API_GetUser_RequestParameters"></a>

The request uses the following URI parameters.

 ** [userId](#API_GetUser_RequestSyntax) **   <a name="finspace-GetUser-request-uri-userId"></a>
The unique identifier of the user to get data for.  
Length Constraints: Minimum length of 1. Maximum length of 26.  
Pattern: `.*\S.*`   
Required: Yes

## Request Body
<a name="API_GetUser_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_GetUser_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "apiAccess": "string",
   "apiAccessPrincipalArn": "string",
   "createTime": number,
   "emailAddress": "string",
   "firstName": "string",
   "lastDisabledTime": number,
   "lastEnabledTime": number,
   "lastLoginTime": number,
   "lastModifiedTime": number,
   "lastName": "string",
   "status": "string",
   "type": "string",
   "userId": "string"
}
```

## Response Elements
<a name="API_GetUser_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [apiAccess](#API_GetUser_ResponseSyntax) **   <a name="finspace-GetUser-response-apiAccess"></a>
Indicates whether the user can use the `GetProgrammaticAccessCredentials` API to obtain credentials that can then be used to access other FinSpace Data API operations.   
+  `ENABLED` – The user has permissions to use the APIs.
+  `DISABLED` – The user does not have permissions to use any APIs.
Type: String  
Valid Values: `ENABLED | DISABLED` 

 ** [apiAccessPrincipalArn](#API_GetUser_ResponseSyntax) **   <a name="finspace-GetUser-response-apiAccessPrincipalArn"></a>
The ARN identifier of an AWS user or role that is allowed to call the `GetProgrammaticAccessCredentials` API to obtain a credentials token for a specific FinSpace user. This must be an IAM role within your FinSpace account.  
Type: String  
Length Constraints: Minimum length of 20. Maximum length of 2048.  
Pattern: `^arn:aws[a-z\-]*:iam::\d{12}:role/?[a-zA-Z_0-9+=,.@\-_/]+$` 

 ** [createTime](#API_GetUser_ResponseSyntax) **   <a name="finspace-GetUser-response-createTime"></a>
The timestamp at which the user was created in FinSpace. The value is determined as epoch time in milliseconds.   
Type: Long

 ** [emailAddress](#API_GetUser_ResponseSyntax) **   <a name="finspace-GetUser-response-emailAddress"></a>
The email address that is associated with the user.  
Type: String  
Length Constraints: Minimum length of 4. Maximum length of 320.  
Pattern: `[A-Za-z0-9._%+-]+@[A-Za-z0-9.-]+\.[A-Za-z]{2,4}` 

 ** [firstName](#API_GetUser_ResponseSyntax) **   <a name="finspace-GetUser-response-firstName"></a>
The first name of the user.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 50.  
Pattern: `.*\S.*` 

 ** [lastDisabledTime](#API_GetUser_ResponseSyntax) **   <a name="finspace-GetUser-response-lastDisabledTime"></a>
Describes the last time the user was deactivated. The value is determined as epoch time in milliseconds.  
Type: Long

 ** [lastEnabledTime](#API_GetUser_ResponseSyntax) **   <a name="finspace-GetUser-response-lastEnabledTime"></a>
Describes the last time the user was activated. The value is determined as epoch time in milliseconds.  
Type: Long

 ** [lastLoginTime](#API_GetUser_ResponseSyntax) **   <a name="finspace-GetUser-response-lastLoginTime"></a>
Describes the last time that the user logged into their account. The value is determined as epoch time in milliseconds.  
Type: Long

 ** [lastModifiedTime](#API_GetUser_ResponseSyntax) **   <a name="finspace-GetUser-response-lastModifiedTime"></a>
Describes the last time the user details were updated. The value is determined as epoch time in milliseconds.  
Type: Long

 ** [lastName](#API_GetUser_ResponseSyntax) **   <a name="finspace-GetUser-response-lastName"></a>
The last name of the user.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 50.  
Pattern: `.*\S.*` 

 ** [status](#API_GetUser_ResponseSyntax) **   <a name="finspace-GetUser-response-status"></a>
The current status of the user.   
+  `CREATING` – The creation is in progress.
+  `ENABLED` – The user is created and is currently active.
+  `DISABLED` – The user is currently inactive.
Type: String  
Valid Values: `CREATING | ENABLED | DISABLED` 

 ** [type](#API_GetUser_ResponseSyntax) **   <a name="finspace-GetUser-response-type"></a>
Indicates the type of user.   
+  `SUPER_USER` – A user with permission to all the functionality and data in FinSpace.
+  `APP_USER` – A user with specific permissions in FinSpace. The users are assigned permissions by adding them to a permission group.
Type: String  
Valid Values: `SUPER_USER | APP_USER` 

 ** [userId](#API_GetUser_ResponseSyntax) **   <a name="finspace-GetUser-response-userId"></a>
The unique identifier for the user that is retrieved.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 26.  
Pattern: `.*\S.*` 

## Errors
<a name="API_GetUser_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
You do not have sufficient access to perform this action.  
HTTP Status Code: 403

 ** InternalServerException **   
The request processing has failed because of an unknown error, exception or failure.  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
One or more resources can't be found.  
HTTP Status Code: 404

 ** ThrottlingException **   
The request was denied due to request throttling.  
HTTP Status Code: 429

 ** ValidationException **   
The input fails to satisfy the constraints specified by an AWS service.  
HTTP Status Code: 400

## See Also
<a name="API_GetUser_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/finspace-2020-07-13/GetUser) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/finspace-2020-07-13/GetUser) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/finspace-2020-07-13/GetUser) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/finspace-2020-07-13/GetUser) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/finspace-2020-07-13/GetUser) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/finspace-2020-07-13/GetUser) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/finspace-2020-07-13/GetUser) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/finspace-2020-07-13/GetUser) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/finspace-2020-07-13/GetUser) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/finspace-2020-07-13/GetUser) 